%define major		3
%define gir_major	0.6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Stream Engine to handle media streaming channels
Name:		telepathy-farstream
Version:	0.6.2
Release:	%mkrel 11
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(farstream-0.2)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Obsoletes:	telepathy-farsight
Obsoletes:	%{name}-python < 0.6.0
# Obsolete src pkg from telepathy-farstream0.6
Obsoletes:	telepathy-farstream0.6 < 0.6.0-6
Obsoletes:	telepathy-farstream0.4 < 0.6.0

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{libname}
Group:		System/Libraries
Summary:	Stream Engine to handle media streaming channels
Obsoletes:	%{_lib}telepathy-farsight0

%description -n %{libname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{develname}
Group:		Development/C
Summary:	Stream Engine to handle media streaming channels
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}telepathy-farsight-devel
Obsoletes:	%{_lib}telepathy-farstream0.6-devel < 0.6.0-6
Obsoletes:	%{_lib}telepathy-farstream0.4-devel < 0.6.0

%description -n %{develname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc README NEWS
%{_libdir}/lib%{name}.so.%{major}*

%files -n %develname
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/lib%{name}.so
%{_includedir}/telepathy-1.0/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/TelepathyFarstream-%{gir_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/TelepathyFarstream-%{gir_major}.typelib


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-11.mga8
+ Revision: 1517410
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-10.mga7
+ Revision: 1301358
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 0.6.2-9.mga6
+ Revision: 963021
- Mageia 6 Mass Rebuild

* Sun Aug 02 2015 wally <wally> 0.6.2-8.mga6
+ Revision: 860633
- obsolete old telepathy-farstream0.4 which is now unused
- don't produce pkg with only README and NEWS files

* Tue Jun 30 2015 wally <wally> 0.6.2-7.mga6
+ Revision: 848929
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 0.6.2-6.mga6
+ Revision: 847830
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.6.2-5.mga6
+ Revision: 838494
- rebuild for new farstream

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 740499
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.6.2-3.mga5
+ Revision: 724962
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-2.mga5
+ Revision: 689782
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 luigiwalser <luigiwalser> 0.6.2-1.mga5
+ Revision: 672506
- 0.6.2

* Sun Mar 09 2014 luigiwalser <luigiwalser> 0.6.1-1.mga5
+ Revision: 601483
- 0.6.1

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-8.mga4
+ Revision: 529196
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 wally <wally> 0.6.0-7.mga4
+ Revision: 450871
- conflict with devel pkg from old telepathy-farstream 0.4.x

* Sun Jul 07 2013 wally <wally> 0.6.0-6.mga4
+ Revision: 450863
- obsolete pkgs from telepathy-farstream0.6

* Mon Jul 01 2013 dams <dams> 0.6.0-5.mga4
+ Revision: 449265
- new version 0.6.0
- update major
- update BR for farstream 0.2
- clean BR and specfile
- update specfile to use pkgconfig()
- drop python subpackage (gobject-introspection is used now)

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 384226
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.6.0-1.mga3
+ Revision: 333307
- update file list
- update file list
- new version 0.6.0

* Wed Jun 27 2012 ovitters <ovitters> 0.4.0-1.mga3
+ Revision: 264591
- new version 0.4.0

* Sun Apr 15 2012 wally <wally> 0.2.3-2.mga2
+ Revision: 230861
- obsolete old telepathy-farsight pkgs
- tag some doc files as such

* Thu Apr 12 2012 mikala <mikala> 0.2.3-1.mga2
+ Revision: 230411
- Updat tarball to 0.2.3

* Fri Feb 24 2012 mitya <mitya> 0.2.1-1.mga2
+ Revision: 213642
- New version 0.2.1; depend on farstream instead of farsight2

* Mon Nov 21 2011 wally <wally> 0.1.2-1.mga2
+ Revision: 170519
- new version 0.1.2
- clean .spec a bit

* Tue Jul 19 2011 ahmad <ahmad> 0.1.1-1.mga2
+ Revision: 126412
- Disable static build
- Adapt the spec to the name change
- Drop BR gtk-doc
- Copy telepathy-farsight to telepathy-farstream in SVN
+ mikala <mikala>
- Update tarball to 0.0.19

* Sat Apr 16 2011 pterjan <pterjan> 0.0.17-1.mga1
+ Revision: 86570
- Update to 0.0.17

* Tue Apr 05 2011 dams <dams> 0.0.16-1.mga1
+ Revision: 80765
- update to 0.16 and update deps

* Sun Feb 20 2011 eandry <eandry> 0.0.15-2.mga1
+ Revision: 54852
- drop buildroot
- imported package telepathy-farsight

